package cn.wisenergy.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author 86187
 */
@Data
@ApiModel("CreateCodeVo")
public class CreateCodeVo {

    /**
     * 生成二维码数量
     */
    @ApiModelProperty(value = "生成二维码数量", name = "生成二维码数量")
    private Integer number;

    /**
     * 产品编号
     */
    @ApiModelProperty(value = "产品编号", name = "productNo")
    private String productNo;

    /**
     * 防伪码
     */
    @ApiModelProperty(value = "防伪码", name = "shaValue")
    private String shaValue;

    /**
     * 生产日期 yyyy-MM-dd
     */
    @ApiModelProperty(value = "生产日期 yyyy-MM-dd", name = "produceTime",required = true)
    private String produceTime;

    /**
     * 原产国
     */
    @ApiModelProperty(value = "原产国", name = "productCountry")
    private String productCountry;

    /**
     * 有效时间
     */
    @ApiModelProperty(value = "有效时间", name = "validTime")
    private Date validTime;

    /**
     * 货运单号
     */
    @ApiModelProperty(value = "货运单号", name = "trackingNumber")
    private String trackingNumber;

    /**
     * 物流轨迹查询平台
     */
    @ApiModelProperty(value = "物流轨迹查询平台", name = "logisticsUrl")
    private String logisticsUrl;

    /**
     * 海关进境货物备案编号
     */
    @ApiModelProperty(value = "海关进境货物备案编号", name = "recordNumber")
    private String recordNumber;
}
